- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 7dd45a3b-f25d-4727-9387-1c4da5193996
    creation_time: 2023-02-17T12:05:01.417354Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/const_1-1.c
      input_file_hashes:
        c/loop-acceleration/const_1-1.c: 64dc8b0c2e0759b706f2238ea43dd599f1c607e860e0f52175ef714a83e5d2c1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/const_1-1.c
    file_hash: 64dc8b0c2e0759b706f2238ea43dd599f1c607e860e0f52175ef714a83e5d2c1
    line: 16
    column: 0
    function: main
  loop_invariant:
    string: x == 0 || y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5c40d3fa-30d2-4628-bf5b-3c35e7a14cf8
    creation_time: 2023-02-17T12:05:01.417627Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/const_1-1.c
      input_file_hashes:
        c/loop-acceleration/const_1-1.c: 64dc8b0c2e0759b706f2238ea43dd599f1c607e860e0f52175ef714a83e5d2c1
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/const_1-1.c
    file_hash: 64dc8b0c2e0759b706f2238ea43dd599f1c607e860e0f52175ef714a83e5d2c1
    line: 21
    column: 0
    function: main
  location_invariant:
    string: x == 0
    type: assertion
    format: C

